Feature # 552 (Closed): Provide English translations of Greek works

Make translation reference for relating different versions of the same document
Status: Closed Start date: 04/03/2013

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.8   

Description

Subtasks:

Task # 591: Reimport Josephus' Works in English Closed

History

#1 - 03/24/2013 04:52 AM - Luke Murphey

I matched up the different versions using the following code:

    # Get related works

    related_works = Work.objects.exclude(id=work.id).filter(title=work.title).filter(authors__in = work.author

s.all() )

 

        <div class="btn-group">

                <button class="btn dropdown-toggle" data-toggle="dropdown">Other versions <span class="caret">

</span></button>

                <ul class="dropdown-menu">

                    {% for related_work in related_works %}

                        <li><a href="{% url read_work related_work.title_slug %}/{{ chapter.get_division_indic

ators|join:"/" }}">{{related_work.title}}</a></li>

                    {% endfor %}

                </ul>

        <div>

 

This works but the division indicators don't match up.
#2 - 03/24/2013 04:55 AM - Luke Murphey

- Target version changed from 0.7 to 0.8

#3 - 04/02/2013 02:39 AM - Luke Murphey

I could use a function to automatically build this reference table. Some considerations:

I need to have the ability to only match up certain levels deep of divisions

I need to have the ability to not show a link if the given division does not appear in the related work

#4 - 04/02/2013 07:25 AM - Luke Murphey

Since we currently require the divisions to match up perfectly, some connections are not yet present between works (e.g. "Ad principem ineruditum").

Antiquities of the Jews is imported incorrectly and thus cannot be related.

#5 - 04/03/2013 06:51 AM - Luke Murphey

Save divisions:  * Adversus Colotem  * Amatoriae narrationes (Goodwin)  * Amatorius (amatorius, amatorius-goodwin)  *

an-recte-dictum-sit-latenter-esse-vivendum-goodwin, an-recte-dictum-sit-latenter-esse-vivendum

Different divisions:

Ad principem ineruditum

Amatoriae narrationes (Fowler, amatoriae-narrationes-fowler)

#6 - 04/03/2013 06:52 AM - Luke Murphey

I am going to rebuild the work maps while ignoring division differences. I am doing this with the following code:

from reader.models import Work, RelatedWork

RelatedWork.autodiscover(ignore_editors=True)

#7 - 04/03/2013 04:25 PM - Luke Murphey

- Status changed from New to Closed
